from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XEmfParser(XInterface, Protocol):
    def getDecomposition(self, xEmfStream: XInputStream, aAbsolutePath: str, Properties: PropertyValues) -> list[XPrimitive2D]: ...
    def setSizeHint(self, Size: RealPoint2D) -> None: ...
